Subject: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Paul Pogonyshev <[email-masked]>
Date: Tue, 16 Dec 2014 10:32:13 +0100

Reproducible with 'emacs -q':

* In a freshly started Emacs, open an archive, e.g. a .tar.gz file in a
buffer.
* Switch to another buffer, type a couple of letters and then start
pressing 'M-/' (dabbrev-expand).
* It is very likely you will hit a "very useful" dabbrev in binary form
taken from the archive. E.g. I opened a large tarball, then switched to
*scratch*, typed "tz", and the very first dabbrev I got was "tz\327r".

Request: Emacs should ignore archive and other binary buffers when
generating dabbrevs. There are some settings to ignore buffers by name, but
this would rather ignore buffers by mode. Also, this should be the default
because I cannot imagine binary dabbrevs being useful to more than maybe
0.01% of users.

Reproduced on a recent Emacs trunk.

Paul